Package com.ads.mm.xml.erwin

# Enum Class ERWinBase.ColumnProperties

java.lang.Object
java.lang.Enum<ERWinBase.ColumnProperties>
com.ads.mm.xml.erwin.ERWinBase.ColumnProperties

All Implemented Interfaces:
  `Serializable`, `Comparable<ERWinBase.ColumnProperties>`, `Constable`

Enclosing class:
  ERWinBase

public static enum ERWinBase.ColumnProperties extends Enum<ERWinBase.ColumnProperties>
These constants specifies the ColumnProperties such as DATATYPE, LENGTH, PRECISION and SCALE.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DATATYPE`
  DATATYPE is the column property which specifies the type of the data a column holds.
  `LENGTH`
  LENGTH is the column property which specifies the length of data the specific column can allow to hold.
  `PRECISION`
  PRECISION is the column property which specifies the number of significant digits.
  `SCALE`
  SCALE is the column property which specifies the number of digits to the right of the decimal point.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ERWinBase.ColumnProperties`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ERWinBase.ColumnProperties[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DATATYPE

    public static final ERWinBase.ColumnProperties DATATYPE
    DATATYPE is the column property which specifies the type of the data a column holds. Datatype defines particular characteristics of data.

  - ### LENGTH

    public static final ERWinBase.ColumnProperties LENGTH
    LENGTH is the column property which specifies the length of data the specific column can allow to hold.

  - ### PRECISION

    public static final ERWinBase.ColumnProperties PRECISION
    PRECISION is the column property which specifies the number of significant digits. Precision is the refinement in a measurement, calculation, or specification, especially as represented by the number of digits given.

  - ### SCALE

    public static final ERWinBase.ColumnProperties SCALE
    SCALE is the column property which specifies the number of digits to the right of the decimal point.

- ## Method Details

  - ### values

    public static ERWinBase.ColumnProperties[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ERWinBase.ColumnProperties valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null